Working With HLLAPI Auto Launch Configuration

The HLLAPI Auto Launch Configuration feature provides for the assignment of a short name to a saved TN3270 or TN5250 session file. This then allows a third party application to work with the session through the use of scripts or other programming languages that contain HLLAPI calls. The session properties have the HLLAPI interface enabled by selecting the Enable HLLAPI option on the Session Properties Advanced sub-tab of the IBM (TN3270 and TN5250) emulations tabs.

The short names are set up through the Auto Launch Configuration dialog box. This feature is accessed with either the:

  • Auto Launch Configuration button in the HLLAPI group on the Advanced sub-tab, or

  • Tools HLLAPI Auto Launch command

Twenty six (26) session files can be associated with a Short Name. Short Names are single alpha characters, A through Z. that are set up with the Auto Launch Configuration. Using the Auto Launch Configuration saves the associated Short Name with the session file as an entry in the Windows Registry. This allows the HLLAPI interface to communicate with the session.

The session file associated with the short name must be:

  • a HLLAPI enabled session – the Enable HLLAPI checkbox must be selected. The default setting for a session is for HLLAPI to be disabled.

  • a saved session file.

  • a TN3270 or TN5250 session – both emulations support HLLAPI enabled sessions.

Note

No script commands include any options to enable HLLAPI sessions.

Warnings are displayed in these three situations:

  • If a currently running session has been HLLAPI enabled and given a short name through the PS Short Name text box on the Advanced tab (but not through the Auto Launch Configuration), then, you attempt to start the saved session with the same short name assigned through the Auto Launch Configuration, DCS will use an available short name. If no short names are available, DCS warns that the session will be HLLAPI disabled.

  • If a saved session has been HLLAPI enabled and a short name set up through the Auto Launch Configuration, you must use the Auto Launch Configuration to clear the name before it can be reassigned. If you attempt to start a session with a name that has not been cleared you will be prompted to assign a new short name.

  • If the HLLAPI interface has not been installed and you click the Auto Launch Configuration button on the Session Properties Advanced sub-tab, an error message is displayed. The session will not be HLLAPI enabled.

See Also

  • Steps to assign a short name to a saved HLLAPI enabled session file with Auto Launch Configuration.

  • Steps to assign a short name to a new HLLAPI enabled session file with Auto Launch Configuration.

  • Steps to display all reserved short names for HLLAPI enabled session files.

<< END >>


HLLAPI Auto Launch Configuration Dialog Box

Tools > HLLAPI Auto-Launch Session > Properties > Emulations > [IBM emulation] > Advanced > Auto Launch
The HLLAPI Auto Launch Configuration dialog box allows for assigning a short name to a saved, HLLAPI enabled session file.
Use this element | in this manner . . .
ShortName [list] | Displays twenty six short names (alpha characters A through Z). If a session file has been assigned to the ShortName, it is listed in the Session File list to the right of the short name.
Session file [list] | Displays the assigned session file for the short name listed in the corresponding ShortName list. If no name appears in this list, the corresponding ShortName is available for assignment. Note: The Session File list shows the file name only. If the session file name is selected or highlighted, the full path is displayed below the Short Name list in the File Path area.
 | Click this button to display the Open dialog box. In the Open dialog box, navigate to the saved session file location. Select the session file name and then click Open to place the session file name in the Session file list. Click OK to complete the assignment.
 | Click to remove the session file name assignment with the corresponding short name. You can use the Ctrl key to select specific names or the Shift key to select a range of names.
 | Click to accept the changes made in the dialog box.
 | Click to discard changes and to close the dialog box.
<< END >>


To assign a short name to a new HLLAPI enabled session file with Auto-Launch Configuration

1 Open a new session.

2 On the Session menu, select Properties.

The Session Properties dialog appears.

3 Set up the appropriate connector, file transfer, etc. information.

4 Save the session.

5 In the Session Properties dialog, click the Emulations tab.

6 Click Advanced tab.

7 In the HLLAPI group, check Enable HLLAPI.

8 Click Auto Launch.

9 In the Session File list, enter a session file name next to an available Short Name listing.

Or, you can use the Browse button to navigate to the file location.

10 Click OK.

Note

This task creates a Windows Registry entry.

<< END >>


To assign a short name to a saved HLLAPI enabled session file with Auto-Launch Configuration

1 Open a saved session.

2 On the Session menu, select Properties.

The Session Properties dialog appears.

3 In the Session Properties dialog, click the Emulations tab.

4 Click Advanced tab.

5 In the HLLAPI group, check Enable HLLAPI.

6 Click Auto Launch.

7 In the Session File list, enter a session file name next to an available Short Name listing.

Or, you can use the Browse button to navigate to the file location.

8 Click OK.

Note

This task creates a Windows Registry entry.

<< END >>


To view all reserved short names for HLLAPI enabled session files

1 On the menu bar, click Tools and then select HLLAPI Auto Launch.

The HLLAPI Auto Launch Configuration dialog box appears.

or

1 Open a session.

2 On the Session menu, select Properties.

The Session Properties dialog appears.

3 In the Session Properties dialog, click the Emulations tab.

4 Click Advanced tab.

5 Click Auto Launch.

The HLLAPI Auto Launch Configuration dialog box appears.

<< END >>